{
    "easycom" : {
        "^u-(.*)" : "uview-ui/components/u-$1/u-$1.vue"
    },
    "pages" : [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path" : "pages/index/index",
            "style" : {
                "navigationBarTitleText" : "币王"
            }
        },
        {
            "path" : "pages/login/register",
            "style" : {
                "navigationBarTitleText" : "注册"
            }
        },
		{
		    "path" : "pages/login/email-verify",
		    "style" : {
		        "navigationBarTitleText" : "邮箱验证"
		    }
		},
        {
            "path" : "pages/login/index",
            "style" : {
                "navigationBarTitleText" : "登录"
            }
        },
        {
            "path" : "pages/exchange/index",
            "style" : {
                "navigationBarTitleText" : "闪电兑换"
            }
        },
        {
            "path" : "pages/property/index",
            "style" : {
                "navigationBarTitleText" : "资产"
            }
        },
        {
            "path" : "pages/property/bill",
            "style" : {
                "navigationBarTitleText" : "用户账单"
            }
        },
        {
            "path" : "pages/property/asset",
            "style" : {
                "navigationBarTitleText" : "资产记录"
            }
        },
        {
            "path" : "pages/task/index",
            "style" : {
                "navigationBarTitleText" : "任务中心"
            }
        },
        {
            "path" : "pages/contract/index",
            "style" : {
                "navigationBarTitleText" : "合约"
            }
        },
        {
            "path" : "pages/contract/sustainability/index",
            "style" : {}
        }
    ],
    "subPackages" : [
        {
            "root" : "pages/content",
            "pages" : [
                {
                    "path" : "share",
                    "style" : {
                        "navigationBarTitleText" : "分享"
                    }
                },
                {
                    "path" : "mine",
                    "style" : {
                        "navigationBarTitleText" : "个人中心"
                    }
                },
                {
                    "path" : "select-currency",
                    "style" : {
                        "navigationBarTitleText" : "选择币种"
                    }
                },
                {
                    "path" : "top-up",
                    "style" : {
                        "navigationBarTitleText" : "充币"
                    }
                },
                {
                    "path" : "charge-record",
                    "style" : {
                        "navigationBarTitleText" : "充币记录"
                    }
                },
                {
                    "path" : "setting",
                    "style" : {
                        "navigationBarTitleText" : "系统设置"
                    }
                },
                {
                    "path" : "safety-set",
                    "style" : {
                        "navigationBarTitleText" : "安全设置"
                    }
                },
                {
                    "path" : "change-password",
                    "style" : {
                        "navigationBarTitleText" : "修改密码"
                    }
                }
            ]
        }
    ],
    "tabBar" : {
        "color" : "#666666",
        "selectedColor" : "#0ED47F",
        // "borderStyle": "#E7E7E7",
        // "backgroundColor": "#FFFFFF",
        "list" : [
            {
                "pagePath" : "pages/index/index",
                "iconPath" : "./static/tabbar/tabbar_1.png",
                "selectedIconPath" : "./static/tabbar/tabbar_1_1.png",
                "text" : "首页"
            },
            {
                "pagePath" : "pages/exchange/index",
                "iconPath" : "./static/tabbar/tabbar_2.png",
                "selectedIconPath" : "./static/tabbar/tabbar_2_2.png",
                "text" : "币币"
            },
            {
                "pagePath" : "pages/contract/index",
                "iconPath" : "./static/tabbar/tabbar_3.png",
                "selectedIconPath" : "./static/tabbar/tabbar_3_3.png",
                "text" : "合约"
            },
            {
                "pagePath" : "pages/task/index",
                "iconPath" : "./static/tabbar/tabbar_4.png",
                "selectedIconPath" : "./static/tabbar/tabbar_4_4.png",
                "text" : "任务"
            },
            {
                "pagePath" : "pages/property/index",
                "iconPath" : "./static/tabbar/tabbar_5.png",
                "selectedIconPath" : "./static/tabbar/tabbar_5_5.png",
                "text" : "资产"
            }
        ]
    },
    "globalStyle" : {
        "navigationStyle" : "custom",
        "navigationBarTextStyle" : "black",
        "navigationBarTitleText" : "币王",
        "navigationBarBackgroundColor" : "#F8F8F8",
        "backgroundColor" : "#F8F8F8"
    },
    "uniIdRouter" : {},
	"condition" : { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [
			{
				"name": "", //模式名称
				"path": "pages/login/email-verify", //启动页面，必选
				"query": "email=biking2023@163.com" //启动参数，在页面的onLoad函数里面得到
			}
		]
	}
}
